<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">Devza</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
</nav>






<div class="col-lg-12 col-sm-12 col-md-12 col-12 float-right">
  <div class="float-right">
      <button type="button" 
              class="btn btn-info" 
              data-toggle="modal" 
              (click)=openAddModel()>
              Create New Task</button>
  </div>
</div>

<div class="col-lg-12 col-sm-12 col-md-12 col-12">
    <div class="card"> 
        <div class="card-body" style="min-height: 913px;">
        
            <div class="table-responsive" style="width: 100%;">
                <table class="table table-striped table-bordered table-hover zero-configuration">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Message</th>
                            <th>Assigned Name</th>
                            <th>Created Date</th>
                            <th>Action</th>

                            <!-- <th>Due Date</th> -->
                        </tr>
                    </thead>
                    <tbody>


                        <tr *ngFor="let item of data ; index as i">
                            <!-- <th>{{i + 1 }}</th> -->

                            <th>{{item.id }}</th>
                            <th>{{item.message }}</th>
                            <th>{{item.assigned_name}}</th>
                            <th>{{item.created_on}}</th>
                            <td>
                                <button type="button"  
                                  [ngStyle] = "{'margin-right':'2px'}" 
                                  class="btn btn-primary btn-sm" 
                                  data-toggle="modal" 
                                  (click)="getDetails(item)">
                                  <i class="fa fa-edit"></i>
                              </button>
                            
                              <button type="button" class="btn btn-primary btn-sm"
                                      data-toggle="modal" data-target="#deleteModal"
                                      (click)="getDelete_id(item)"
                                      title="Delete" >
                                    <i class="fa fa-trash" data-toggle="tooltip" data-original-title="Delete"></i>
                             </button>

                            </td>
                           
                        </tr>
                    
                        
                    </tbody>
                </table>


            </div>
        </div>

</div>
</div>

  <!-- The add and edit  Task Modal -->
<div class="modal fade sm" id="updatetaskModal">
    <div class="modal-dialog">
      <div class="modal-content">
      
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Craeted New Task</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        
        <!-- Modal body -->
        <div class="modal-body">
            <div class="form-group">
                <label for="comment">Message:</label>
                <textarea class="form-control" rows="5" id="comment" [(ngModel)]="itemData.message"  name="message"></textarea>
            </div>

            <div class="form-group"  *ngIf = "!edit">
                <label for="usr">Task Due Date</label>
                <input type="date" class="form-control" id="usr" [(ngModel)]="itemData.due_date"  name="due_date">
            </div>

            
                <label for="pwd">Priority</label>
                <select class="form-select rounded" [(ngModel)]="itemData.priority"  name="Priority" style="width: 100%; height: 40px;" aria-label="Default select example">
                    <option selected >Task Priority</option>
                    <option value="1">1</option>
                    <option value="2">2</option>
                    <option value="3">3</option>
                    <option value="4">4</option>
                    <option value="5">5</option>
                </select>


                <label for="pwd">Assigned To</label>
                <select class="form-select rounded" style="width: 100%; height: 40px;" [(ngModel)]="itemData.assigned_to"  name="assigned_to" aria-label="Default select example">
                    <option selected >Task Priority</option>
                    <option value="1">1</option>
                    <option value="2">2</option>
                    <option value="3">3</option>
                    <option value="4">4</option>
                    <option value="5">5</option>
                </select>
            

            
        </div>
        
        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="button" class="btn btn-success" *ngIf = "edit" (click)=updateDate()>Update Task</button>
          <button type="button" class="btn btn-success" *ngIf = "!edit" (click)=addTask()>Add Task</button>
          <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
        </div>
        
      </div>
    </div>
  </div>




  
  <div class="modal fade" id="deleteModal" role="dialog">
    <div class="modal-dialog modal-sm">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <!-- <h4 class="modal-title">Sure To Delete this data ?</h4> -->
        </div>
        <div class="modal-body">
          <!-- <p>Sure To Delete this data ?</p> -->
          <h4 class="modal-title text-center"> Delete This Emoji ?</h4>

        </div>
        <div class="modal-footer text-center" style="text-align: center;">
          <button type="button" class="btn btn-sm btn-danger" (click)="deleteData()" data-dismiss="modal">Yes</button>
          <button type="button" class="btn btn-sm btn-primary" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>